
import pygame
import util

from pygame.locals import *

class Part(pygame.sprite.Sprite):
    def __init__(self, position):
        pygame.sprite.Sprite.__init__(self)

class ControlNode(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-controlnode.png")
        self.rect = position

class FluxModulator(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-fluxmodulator.png")
        self.rect = position

class PhotonBridge(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-photonbridge.png")
        self.rect = position

class STDistorter(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-stdistorter.png")
        self.rect = position

class CryoFuse(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-cryofuse.png")
        self.rect = position

class PlasmaTube(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-plasmatube.png")
        self.rect = position

class Scanner(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-scanner.png")
        self.rect = position

class JJuncModule(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-jjunc.png")
        self.rect = position

class Shunt(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-shunt.png")
        self.rect = position

class Broken(Part):
    def __init__(self, position):
        Part.__init__(self, position)
        (self.image, self.rect) = util.load_image("part-cryofuse.png")
        self.rect = position


